DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTReferencedBeamSequenceInRTFractionSchemeModule::Item Class Reference

Item class. More...

Inheritance diagram for DRTReferencedBeamSequenceInRTFractionSchemeModule::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getAlternateBeamDose (OFString &value, const signed long pos=0) const
| get AlternateBeamDose (300a,0091) More...
OFCondition | getAlternateBeamDose (Float64 &value, const unsigned long pos=0) const
| get AlternateBeamDose (300a,0091) More...
OFCondition | getAlternateBeamDoseType (OFString &value, const signed long pos=0) const
| get AlternateBeamDoseType (300a,0092) More...
OFCondition | getBeamDeliveryDurationLimit (Float64 &value, const unsigned long pos=0) const
| get BeamDeliveryDurationLimit (300a,00c5) More...
OFCondition | getBeamDose (OFString &value, const signed long pos=0) const
| get BeamDose (300a,0084) More...
OFCondition | getBeamDose (Float64 &value, const unsigned long pos=0) const
| get BeamDose (300a,0084) More...
OFCondition | getBeamDoseType (OFString &value, const signed long pos=0) const
| get BeamDoseType (300a,0090) More...
OFCondition | getBeamMeterset (OFString &value, const signed long pos=0) const
| get BeamMeterset (300a,0086) More...
OFCondition | getBeamMeterset (Float64 &value, const unsigned long pos=0) const
| get BeamMeterset (300a,0086) More...
OFCondition | getDoseCalibrationConditionsVerifiedFlag (OFString &value, const signed long pos=0) const
| get DoseCalibrationConditionsVerifiedFlag (300c,0123) More...
OFCondition | getReferencedBeamNumber (OFString &value, const signed long pos=0) const
| get ReferencedBeamNumber (300c,0006) More...
OFCondition | getReferencedBeamNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedBeamNumber (300c,0006) More...
OFCondition | getReferencedDoseReferenceUID (OFString &value, const signed long pos=0) const
| get ReferencedDoseReferenceUID (300a,0083) More...
DRTDoseCalibrationConditionsSequence & | getDoseCalibrationConditionsSequence ()
| get DoseCalibrationConditionsSequence (300c,0120) More...
const DRTDoseCalibrationConditionsSequence & | getDoseCalibrationConditionsSequence () const
| get DoseCalibrationConditionsSequence (300c,0120) More...
DRTRadiationDeviceConfigurationAndCommissioningKeySequence & | getRadiationDeviceConfigurationAndCommissioningKeySequence ()
| get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a) More...
const DRTRadiationDeviceConfigurationAndCommissioningKeySequence & | getRadiationDeviceConfigurationAndCommissioningKeySequence () const
| get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a) More...
OFCondition | setAlternateBeamDose (const OFString &value, const OFBool check=OFTrue)
| set AlternateBeamDose (300a,0091) More...
OFCondition | setAlternateBeamDoseType (const OFString &value, const OFBool check=OFTrue)
| set AlternateBeamDoseType (300a,0092) More...
OFCondition | setBeamDeliveryDurationLimit (const Float64 value, const unsigned long pos=0)
| set BeamDeliveryDurationLimit (300a,00c5) More...
OFCondition | setBeamDose (const OFString &value, const OFBool check=OFTrue)
| set BeamDose (300a,0084) More...
OFCondition | setBeamDoseType (const OFString &value, const OFBool check=OFTrue)
| set BeamDoseType (300a,0090) More...
OFCondition | setBeamMeterset (const OFString &value, const OFBool check=OFTrue)
| set BeamMeterset (300a,0086) More...
OFCondition | setDoseCalibrationConditionsVerifiedFlag (const OFString &value, const OFBool check=OFTrue)
| set DoseCalibrationConditionsVerifiedFlag (300c,0123) More...
OFCondition | setReferencedBeamNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedBeamNumber (300c,0006) More...
OFCondition | setReferencedDoseReferenceUID (const OFString &value, const OFBool check=OFTrue)
| set ReferencedDoseReferenceUID (300a,0083) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | AlternateBeamDose
| AlternateBeamDose (300a,0091) vr=DS, vm=1, type=3.
DcmCodeString | AlternateBeamDoseType
| AlternateBeamDoseType (300a,0092) vr=CS, vm=1, type=1C.
DcmFloatingPointDouble | BeamDeliveryDurationLimit
| BeamDeliveryDurationLimit (300a,00c5) vr=FD, vm=1, type=3.
DcmDecimalString | BeamDose
| BeamDose (300a,0084) vr=DS, vm=1, type=3.
DcmCodeString | BeamDoseType
| BeamDoseType (300a,0090) vr=CS, vm=1, type=1C.
DcmDecimalString | BeamMeterset
| BeamMeterset (300a,0086) vr=DS, vm=1, type=3.
DRTDoseCalibrationConditionsSequence | DoseCalibrationConditionsSequence
| DoseCalibrationConditionsSequence (300c,0120) vr=SQ, vm=1, type=1C.
DcmCodeString | DoseCalibrationConditionsVerifiedFlag
| DoseCalibrationConditionsVerifiedFlag (300c,0123) vr=CS, vm=1, type=3.
DRTRadiationDeviceConfigurationAndCommissioningKeySequence | RadiationDeviceConfigurationAndCommissioningKeySequence
| RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a) vr=SQ, vm=1, type=1C.
DcmIntegerString | ReferencedBeamNumber
| ReferencedBeamNumber (300c,0006) vr=IS, vm=1, type=1.
DcmUniqueIdentifier | ReferencedDoseReferenceUID
| ReferencedDoseReferenceUID (300a,0083) vr=UI, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getAlternateBeamDose() [1/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getAlternateBeamDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get AlternateBeamDose (300a,0091)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAlternateBeamDose() [2/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getAlternateBeamDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AlternateBeamDose (300a,0091)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAlternateBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getAlternateBeamDoseType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AlternateBeamDoseType (300a,0092)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDeliveryDurationLimit()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getBeamDeliveryDurationLimit | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BeamDeliveryDurationLimit (300a,00c5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDose() [1/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getBeamDose | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BeamDose (300a,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDose() [2/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getBeamDose | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamDose (300a,0084)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getBeamDoseType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamDoseType (300a,0090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamMeterset() [1/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getBeamMeterset | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get BeamMeterset (300a,0086)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBeamMeterset() [2/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getBeamMeterset | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get BeamMeterset (300a,0086)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseCalibrationConditionsSequence() [1/2]

DRTDoseCalibrationConditionsSequence& DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getDoseCalibrationConditionsSequence | ( |  | ) |
| inline

get DoseCalibrationConditionsSequence (300c,0120)

Returns
  reference to sequence element

## ◆ getDoseCalibrationConditionsSequence() [2/2]

const DRTDoseCalibrationConditionsSequence& DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getDoseCalibrationConditionsSequence | ( |  | ) | const
| inline

get DoseCalibrationConditionsSequence (300c,0120)

Returns
  const reference to sequence element

## ◆ getDoseCalibrationConditionsVerifiedFlag()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getDoseCalibrationConditionsVerifiedFlag | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get DoseCalibrationConditionsVerifiedFlag (300c,0123)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRadiationDeviceConfigurationAndCommissioningKeySequence() [1/2]

DRTRadiationDeviceConfigurationAndCommissioningKeySequence& DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getRadiationDeviceConfigurationAndCommissioningKeySequence | ( |  | ) |
| inline

get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a)

Returns
  reference to sequence element

## ◆ getRadiationDeviceConfigurationAndCommissioningKeySequence() [2/2]

const DRTRadiationDeviceConfigurationAndCommissioningKeySequence& DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getRadiationDeviceConfigurationAndCommissioningKeySequence | ( |  | ) | const
| inline

get RadiationDeviceConfigurationAndCommissioningKeySequence (300a,065a)

Returns
  const reference to sequence element

## ◆ getReferencedBeamNumber() [1/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getReferencedBeamNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedBeamNumber (300c,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedBeamNumber() [2/2]

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getReferencedBeamNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ReferencedBeamNumber (300c,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDoseReferenceUID()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::getReferencedDoseReferenceUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ReferencedDoseReferenceUID (300a,0083)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlternateBeamDose()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setAlternateBeamDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AlternateBeamDose (300a,0091)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlternateBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setAlternateBeamDoseType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AlternateBeamDoseType (300a,0092)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDeliveryDurationLimit()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setBeamDeliveryDurationLimit | ( | const Float64 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set BeamDeliveryDurationLimit (300a,00c5)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDose()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setBeamDose | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamDose (300a,0084)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDoseType()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setBeamDoseType | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamDoseType (300a,0090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamMeterset()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setBeamMeterset | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set BeamMeterset (300a,0086)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseCalibrationConditionsVerifiedFlag()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setDoseCalibrationConditionsVerifiedFlag | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set DoseCalibrationConditionsVerifiedFlag (300c,0123)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedBeamNumber()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setReferencedBeamNumber | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedBeamNumber (300c,0006)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedDoseReferenceUID()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::setReferencedDoseReferenceUID | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ReferencedDoseReferenceUID (300a,0083)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTReferencedBeamSequenceInRTFractionSchemeModule::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrbs3.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1